<?php
/*
This file is  part of SMEWebApp.  SMEWebApp is  a web application that
helps the informatization of small and medium enterprises.

Copyright 2003,2004,2005,2006 Dashamir Hoxha, dashohoxha@users.sf.net

SMEWebApp is free  software; you can redistribute it  and/or modify it
under the terms of the GNU  General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

SMEWebApp  is distributed  in the  hope that  it will  be  useful, but
WITHOUT   ANY  WARRANTY;   without  even   the  implied   warranty  of
MERCHANTABILITY  or FITNESS  FOR  A PARTICULAR  PURPOSE.  See the  GNU
General Public License for more details.

You  should have received  a copy  of the  GNU General  Public License
along with SMEWebApp;  if not, write to the  Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

/**
 * The following constants are debug constants.
 */

/**
 * if this constant is true, the framework displays an alert
 * (each time that the function GoTo() is called    (for debug)
 */
define("DEBUG_GOTO", false);

/**
 * if this constant is true, the framework outputs the state
 * variables of each webox in HTML format (for debug)
 */
define("DEBUG_STATEVARS", false);

/**
 * if this constant is true, the framework outputs the tree
 * structure of the templates of the page (for debug)
 */
define("DEBUG_TEMPLATES", false);
define("DEBUG_WEBOBJECTS", false);
define("DEBUG_INCLUDES", false);

/**
 * if this constant is true, the framework outputs all the 
 * recordsets of the page and their contents (for debug)
 */
define("DEBUG_RECORDSETS", false);

/**
 * if this constant is true, the framework outputs information
 * about the execution time of several processes (for debug)
 */
define("EXECUTION_TIME_INFO", false);

/**
 * If this constant is true, the framework outputs the external
 * link that can be used to jump right to the current page of
 * the application from any external page.
 * See also DISPLAY_CGI_VARS at const.Options.php.
 */
define("SHOW_EXTERNAL_LINK", false);

/**
 * if this constant is false than the framework suppresses
 * all the error and warning messages (that are generated by the
 * framework); usually this is true during the development and
 * is switched to false when the application is deployed, in order
 * not to confuse the users of the application with error messages
 * that have no meaning for them
 */ 
define("SHOW_ERROR_MESSAGES", true);
?>